window.addEventListener('load', () => {
   checkweight();
 
 })
 
 
 
 
 function checkweight() {
    var wstecz = document.referrer.split('/');
    var ws1 = '/'+wstecz[wstecz.length - 1];
    console.log('poprzednia strona' + ws1);
    var tablica=[];
    document.querySelectorAll('.menu-instytut li ul li a,.menu-instytut li ul li span,.menu-szkola li ul li a,.menu-szkola li ul li span').forEach(weights => {
       
      
          if (weights.hasAttribute('style')) {
            tablica.push(weights.innerHTML);
           
             
          } 
           }
     )

 if(tablica.length==0){
   document.querySelectorAll('.menu-instytut li ul li a,.menu-instytut li ul li span,.menu-szkola li ul li a,.menu-szkola li ul li span').forEach(weights => {
      weights.removeAttribute('style');
   })
     document.querySelectorAll('.menu-instytut li ul li a,.menu-instytut li ul li span,.menu-szkola li ul li a,.menu-szkola li ul li span').forEach(weights => {
      var links = weights.getAttribute('href').split('/');
       var link='/'+links[links.length-1];
  
        if (link==ws1) {

             weights.style.setProperty('font-weight','800');
             weights.parentNode.parentNode.parentNode.querySelector(' :first-child').style.setProperty('font-weight','800');

                       }
         
      
       }
 )
      }
    
 }